Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.lang
Annotation Type Mixin

    @Retention(value=SOURCE)
    @Target(value=TYPE)
    public @interface Mixin

Provides a mechanism for mixing in methods into a class.

Author:
  Alex Tkachman

Required Element Summary
Modifier and Type | Required Element and Description
--- | ---
`Class[]` | `value`

Element Detail

### value

    public abstract Class[] value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT